PLASMA 2.8.0 PLASMA - Parallel Linear Algebra for Scalable Multi-core Architectures

- Main Page
- Modules
- Data Types List

int PLASMA_Get | ( | PLASMA_enum | param,
|  | int * | value
| ) |  |

PLASMA_Get - Get value of PLASMA parameter.

Parameters

  [in] | param | Feature to be enabled: PLASMA_TILE_SIZE: size matrix tile, PLASMA_INNER_BLOCK_SIZE: size of tile inner block, PLASMA_SCHEDULING: type of scheduling (PLASMA_STATIC_SCHEDULING or PLASMA_DYNAMIC_SCHEDULING). PLASMA_HOUSEHOLDER_SIZE: size of the groups in householder trees PLASMA_TNTPIVOTING_MODE: type of factorization used in tournament pivoting (PLASMA_TOURNAMENT_LU or PLASMA_TOURNAMENT_QR). PLASMA_TNTPIVOTING_SIZE: size of the groups in tournament pivoting PLASMA_EV_WSMODE: Workspace mode used in singular/eigen value routines PLASMA_EV_TASKNB: Panel size used in singular/eigen value routines PLASMA_EV_SMLSZE: Minimum size in recursive algorithm for singular/eigen value routines
  [out] | value | Value of the parameter.

Returns

Return values

  PLASMA_SUCCESS | successful exit
  PLASMA_ERR_NOT_INITIALIZED | if Plasma is not initialized
  PLASMA_ERR_ILLEGAL_VALUE | if param is unknown